Subject: Re: bug#7651: 23.2.91; Rmail doesn't allow displaying text attachments conveniently

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jan 2011 12:57:50 +0200

> From: Kenichi Handa <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 12 Jan 2011 15:22:14 +0900
> 
> By the way, I can't reproduce the incorrect setting of
> buffer-file-coding-system.

You mean, the one with cp1252 I reported in bug#7626?  Or the one
with EOL being undecided?  I guess the former.

> Could you "recend" the
> problematic mail, and let me know the subject line in
> another mail so that I can identify that problematic mail.

I attach one such message below (indented 2 columns).  This is an even
worse offender: the message headers clearly say that it's in
ISO-8859-1, but I still get cp1252 in the Rmail buffer.  I don't know
where that value comes from.  FWIW, my default-buffer-file-coding-system
is iso-latin-1-dos and w32-system-coding-system is cp1255.

  From emacs-devel-bounces+eliz=[email-masked] Mon Jan 03 16:34:24 2011
  Return-path: <emacs-devel-bounces+eliz=[email-masked]>
  Envelope-to: [email-masked]
  Delivery-date: Mon, 03 Jan 2011 16:34:24 -0500
  Received: from eggs.gnu.org ([140.186.70.92]:60304)
	  by fencepost.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	  (Exim 4.69)
	  (envelope-from <emacs-devel-bounces+eliz=[email-masked]>)
	  id 1PZs2q-000351-I2
	  for [email-masked]; Mon, 03 Jan 2011 16:34:24 -0500
  Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	  (envelope-from <emacs-devel-bounces+eliz=[email-masked]>)
	  id 1PZs2s-0002FG-RK
	  for [email-masked]; Mon, 03 Jan 2011 16:34:27 -0500
  X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
  X-Spam-Level: 
  X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE,
	  RFC_ABUSE_POST autolearn=unavailable version=3.3.1
  Received: from lists.gnu.org ([199.232.76.165]:51247)
	  by eggs.gnu.org with esmtp (Exim 4.71)
	  (envelope-from <emacs-devel-bounces+eliz=[email-masked]>)
	  id 1PZs2s-0002FC-P5
	  for [email-masked]; Mon, 03 Jan 2011 16:34:26 -0500
  Received: from localhost ([127.0.0.1]:58728 helo=lists.gnu.org)
	  by lists.gnu.org with esmtp (Exim 4.43)
	  id 1PZs2s-0007Ku-JW
	  for [email-masked]; Mon, 03 Jan 2011 16:34:26 -0500
  Received: from [140.186.70.92] (port=32772 helo=eggs.gnu.org)
	  by lists.gnu.org with esmtp (Exim 4.43) id 1PZs2W-0007Kf-G9
	  for [email-masked]; Mon, 03 Jan 2011 16:34:05 -0500
  Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	  (envelope-from <[email-masked]>) id 1PZs2V-0002An-Eb
	  for [email-masked]; Mon, 03 Jan 2011 16:34:04 -0500
  Received: from smtprelay-h22.telenor.se ([195.54.99.197]:44511)
	  by eggs.gnu.org with esmtp (Exim 4.71)
	  (envelope-from <[email-masked]>)
	  id 1PZs2T-0002AG-TX; Mon, 03 Jan 2011 16:34:02 -0500
  Received: from ipb1.telenor.se (ipb1.telenor.se [195.54.127.164])
	  by smtprelay-h22.telenor.se (Postfix) with ESMTP id BDDEDEAD9B;
	  Mon,  3 Jan 2011 22:34:00 +0100 (CET)
  X-SENDER-IP: [85.225.45.100]
  X-LISTENER: [smtp.bredband.net]
  X-IronPort-Anti-Spam-Filtered: true
  X-IronPort-Anti-Spam-Result: AmIxAGjPIU1V4S1kPGdsb2JhbACIRJtwDAEBAQE1L7wMhUoEjiE
  X-IronPort-AV: E=Sophos;i="4.60,268,1291590000"; d="scan'208";a="163718935"
  Received: from c-642de155.25-1-64736c10.cust.bredbandsbolaget.se (HELO
	  coolsville.localdomain) ([85.225.45.100])
	  by ipb1.telenor.se with ESMTP; 03 Jan 2011 22:34:00 +0100
  Received: from [172.20.199.13] (zeplin [172.20.199.13])
	  by coolsville.localdomain (Postfix) with ESMTPSA id E262C7FA05A;
	  Mon,  3 Jan 2011 22:33:59 +0100 (CET)
  Message-ID: <[email-masked]>
  Date: Mon, 03 Jan 2011 22:34:00 +0100
  From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <[email-masked]>
  User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; sv-SE;
	  rv:1.9.2.13) Gecko/20101129 Thunderbird/3.1.7
  MIME-Version: 1.0
  To: Chong Yidong <[email-masked]>
  References: <[email-masked]>	<[email-masked]>
	  <[email-masked]>	<AANLkTi=[email-masked]>	<[email-masked]>	<AANLkTim_habwF6AN=[email-masked]>	<[email-masked]>	<[email-masked]>	<[email-masked]>
	  <[email-masked]>	<[email-masked]>
	  <[email-masked]>	<[email-masked]>
	  <[email-masked]>	<AANLkTi=[email-masked]>	<[email-masked]>
	  <[email-masked]>	<[email-masked]>	<[email-masked]>	<[email-masked]>
	  <[email-masked]> <[email-masked]>
  In-Reply-To: <[email-masked]>
  Content-Type: text/plain; charset=ISO-8859-1; format=flowed
  Content-Transfer-Encoding: 7bit
  X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	  recognized.
  Cc: [email-masked], emacs user <[email-masked]>,
	  [email-masked], [email-masked],
	  [email-masked], Eli Zaretskii <[email-masked]>
  Subject: Re: bug#7517: 24.0.50; repeated crash under Mac OS X
  X-BeenThere: [email-masked]
  X-Mailman-Version: 2.1.5
  Precedence: list
  List-Id: "Emacs development discussions." <emacs-devel.gnu.org>
  List-Unsubscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	  <mailto:[email-masked]?subject=unsubscribe>
  List-Archive: <http://lists.gnu.org/archive/html/emacs-devel>
  List-Post: <mailto:[email-masked]>
  List-Help: <mailto:[email-masked]?subject=help>
  List-Subscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	  <mailto:[email-masked]?subject=subscribe>
  X-Mailman-Copy: yes
  Sender: emacs-devel-bounces+eliz=[email-masked]
  Errors-To: emacs-devel-bounces+eliz=[email-masked]
  X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
  X-RMAIL-ATTRIBUTES: -D------

  Done.

	  Jan D.

  Chong Yidong skrev 2011-01-02 15.02:
  > "Jan D."<[email-masked]>  writes:
  >
  >> Eli Zaretskii skrev 2011-01-01 16:40:
  >>
  >>> right?
  >>>
  >>> I guess this bug report can be closed now.  Any objections?
  >>
  >> No.
  >
  > Please backport the fix to the emacs-23 branch, thanks.